




//+------------------------------------------------------------------+
//|                                                       buyUSD.mq4 |
//|                                 Copyright  2008, Tural Mahmudov |
//|                                         tural.mahmudov@gmail.com |
//+------------------------------------------------------------------+
#property copyright "Copyright  2008, Trader101"
#property link      "trader101@optonline.net"


int start()

{

start_1();

start_2();

start_3();


}




// allow script to accept inputs from user
#property show_inputs

//user input
extern double    Lots = 0.1;
extern int       Slippage = 2;
extern bool      isIBFXmini=false;

// globals 
string mySymbol;
string postfix;

// trade management
double ask;
double bid;

string TradeComment="TradeHedgeBUYALL";
int MagicNumber=200809241653;


// used for verbose error logging
#include <stdlib.mqh>


//+------------------------------------------------------------------+
//| script program start function                                    |
//+------------------------------------------------------------------+
int init()

{

init_1();
init_2();

}


int init_1()
  {
   if(isIBFXmini) postfix="m";
   mySymbol="GBPUSD"+postfix;  OpenBuy();
   mySymbol="EURCHF"+postfix;  OpenBuy();
  
  

  }


int deinit()
  {
  }


int start_1()
  {
  }



//ENTRY LONG (buy, Ask) 
void OpenBuy()
     {
      int      gle=0;
      int      ticket=0;
      
      double SL=0;
      double TP=0;
      int loopcount;

      loopcount=0;
      while(true)          
        {
         bid=MarketInfo(mySymbol,MODE_BID);
         ask=MarketInfo(mySymbol,MODE_ASK);

         // place order - NO TP OR SL
         ticket=OrderSend(mySymbol,OP_BUY,Lots,ask,Slippage,0,0,TradeComment,MagicNumber,White);
         gle=GetLastError();
         if(gle==0)
           {
            Print("BUY PLACED Ticket="+ticket+" Ask="+ask+" Lots="+Lots);
            break;
           }
          else 
           {
            Print("-----ERROR-----  Placing BUY order: Lots="+Lots+" SL="+SL+" TP="+TP+" Bid="+bid+" Ask="+ask+" ticket="+ticket+" Err="+gle+" "+ErrorDescription(gle)); 
            
            RefreshRates();
            Sleep(500);

            // give up after 10 tries (~5 seconds)
            loopcount++;
            if(loopcount>10)
              {
               Print("-----ERROR-----  Giving up on placing BUY order"); 
               return(gle);
              }
           }

        }//while - place order 

     }//BUYme



//+------------------------------------------------------------------+
//|                                       CloseAllOrdersIfProfit.mq4 |
//|                                    Copyright  2007, fxtrader625 |
//|                                  http://www.forexampletrades.com |
//+------------------------------------------------------------------+
#property copyright "Copyright  2007, fxtrader625"
#property link      "http://www.forexampletrades.com"

//---- input parameters
extern int       TotalProfitLimit = 250;

int start_2()
{
   // Close all trades if profit limit exceeded
   if (AccountProfit() >= TotalProfitLimit)
   {
      for (int i = OrdersTotal(); i > 0; i--)
      {
         OrderSelect(i-1,SELECT_BY_POS,MODE_TRADES);
         if (OrderType() == OP_BUY)
         {
            OrderClose(OrderTicket(),OrderLots(),MarketInfo(OrderSymbol(),MODE_BID),3);
         }
         else if (OrderType() == OP_SELL)
         {
            OrderClose(OrderTicket(),OrderLots(),MarketInfo(OrderSymbol(),MODE_ASK),3);
         }
         else if (OrderType() >= 2)
         {
            OrderDelete(OrderTicket());
         }
      }
   }
   
   return(0);
}
//+------------------------------------------------------------------+




//+------------------------------------------------------------------+
//|                                                       buyUSD.mq4 |
//|                                 Copyright  2008, Tural Mahmudov |
//|                                         tural.mahmudov@gmail.com |
//+------------------------------------------------------------------+
#property copyright "Copyright  2008, Trader101"
#property link      "trader101@optonline.net"




// allow script to accept inputs from user
#property show_inputs

//user input


// globals 


// trade management






// used for verbose error logging



//+------------------------------------------------------------------+
//| script program start function                                    |
//+------------------------------------------------------------------+
int init_2()
  
   {
   mySymbol="GBPCHF"+postfix;  OpenSell();
   mySymbol="EURAUD"+postfix;  OpenSell();
   
  
  }


int start_3()
  {
  }



//ENTRY SHORT (sell, Bid)
void OpenSell()
     {
      int      gle=0;
      int      ticket=0;
      
      double SL=0;
      double TP=0;
      int loopcount;

      loopcount=0;
      while(true)
        {
         bid=MarketInfo(mySymbol,MODE_BID);
         ask=MarketInfo(mySymbol,MODE_ASK);

         ticket=OrderSend(mySymbol,OP_SELL,Lots,bid,Slippage,0,0,TradeComment,MagicNumber,Red);
         gle=GetLastError();
         if(gle==0)
           {
            Print("SELL PLACED Ticket="+ticket+" Bid="+bid+" Lots="+Lots);
            break;
           }
            else 
           {
            Print("-----ERROR-----  placing SELL order: Lots="+Lots+" SL="+SL+" TP="+TP+" Bid="+bid+" Ask="+ask+" ticket="+ticket+" Err="+gle+" "+ErrorDescription(gle)); 
                            
            RefreshRates();
            Sleep(500);

            loopcount++;
            if(loopcount>10)
              {
               Print("-----ERROR-----  Giving up on placing SELL order"); 
               return(gle);
              }
           }

        }//while

     }//SELLme



